package com.iformall.enums;


/**
 * @author gongbiao
 */

public enum EnumRentContractStatus {

    INTENTION(0, "意向"),
    WAIT_SIGN(1, "待签约"),
    SIGNED_RENT_UNPAID(2, "已签约未记租"),
    RENT_PAID(3, "计租中"),
    CONTRACT_END_SOON(4, "即将到期"),
    CONTRACT_END(5, "正常到期"),
    CONTRACT_TERMINATE(6, "提前终止"),
    INVALID(7, "作废"),
    SUPPLE(8, "补录")
    ;

    public static EnumRentContractStatus getEnum(Integer code) {
        for (EnumRentContractStatus value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumRentContractStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
